summary refs log tree commit diff
path: root/nixos/modules/installer/tools/nixos-enter.sh
diff options
context:
space:
mode:
authorJanne Heß <janne@hess.ooo>2021-10-13 13:05:54 +0200
committerJanne Heß <janne@hess.ooo>2021-10-13 13:05:54 +0200
commitb071aea8d0f28f2306e12f13041228925be6a27b (patch)
tree22050cd5200ea95d5377adb616db913290c85563 /nixos/modules/installer/tools/nixos-enter.sh
parentbe5d1c3ca2cd5adc38a63b0c874e04d3ae943c17 (diff)
downloadnixpkgs-b071aea8d0f28f2306e12f13041228925be6a27b.tar
nixpkgs-b071aea8d0f28f2306e12f13041228925be6a27b.tar.gz
nixpkgs-b071aea8d0f28f2306e12f13041228925be6a27b.tar.bz2
nixpkgs-b071aea8d0f28f2306e12f13041228925be6a27b.tar.lz
nixpkgs-b071aea8d0f28f2306e12f13041228925be6a27b.tar.xz
nixpkgs-b071aea8d0f28f2306e12f13041228925be6a27b.tar.zst
nixpkgs-b071aea8d0f28f2306e12f13041228925be6a27b.zip
nixos/nixos-enter: Add IN_NIXOS_ENTER variable
Diffstat (limited to 'nixos/modules/installer/tools/nixos-enter.sh')
-rw-r--r--nixos/modules/installer/tools/nixos-enter.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/nixos/modules/installer/tools/nixos-enter.sh b/nixos/modules/installer/tools/nixos-enter.sh
index 450d7761814..e57296b38e4 100644
--- a/nixos/modules/installer/tools/nixos-enter.sh
+++ b/nixos/modules/installer/tools/nixos-enter.sh
@@ -68,7 +68,7 @@ mount --rbind /sys "$mountPoint/sys"
     fi
 
     # Run the activation script. Set $LOCALE_ARCHIVE to supress some Perl locale warnings.
-    LOCALE_ARCHIVE="$system/sw/lib/locale/locale-archive" chroot "$mountPoint" "$system/activate" 1>&2 || true
+    LOCALE_ARCHIVE="$system/sw/lib/locale/locale-archive" IN_NIXOS_ENTER=1 chroot "$mountPoint" "$system/activate" 1>&2 || true
 
     # Create /tmp
     chroot "$mountPoint" systemd-tmpfiles --create --remove --exclude-prefix=/dev 1>&2 || true